export function CharSep(input: string, location: number, length: number): Promise<any> {
    if (typeof input !== 'string' || typeof location !== 'number' || typeof length !== 'number') {
        return Promise.reject()
    }

    return new Promise((resolve, reject) => {
        let sep: string = ''
        for (let i = location; i < (location + length); i++) {
            sep += input[i]
        }

        if (sep.length !== length) {
            reject()
        }
        resolve(sep)
    })
}
